vmware patch error

hi people
i have a raspy error in vmware patch

Untitled

what i tried :
chmod +x patch >> sudo ./patch

tried to disable version detect in line 27,28,29

but when i tried in
/usr/lib/vmware/modules/source
i got this error
sudo patch -p1 </home/patch-modules_3.2.0.sh
/usr/bin/patch: **** Only garbage was found in the patch input.

i tried to install brew for this error but unable to locate package
any idea would be grateful

Hi! and sorry for my bad english (i’m spanish) Try to reinstall vmware but downloading in the official page and if that doesn’t work change to virtualbox (it has its advantages)

1 Like

@root-kubuntuclaps thanks for reply
here is the error text file , i guess something wrongs with a module

error.log (16.9 KB)